Tachosafe 1.0 Lite

  • Welcome to TachoSafe 1.0 Lite
    • Credits
    • Update TachoSafe 1.0 Lite
    • Register application
    • Contacts
  • Install
    • Hardware and software requirements
    • Driver install
  • User interface
  • How to ...
  • TachoSafe 1.0 Lite's functions
  • Reports
  • Digital tachograph download devices
    • TachoSafe DownloadTOOL
    • TachoSafe DownloadKEY
    • Errors and messages
    • Firmware update
  • Laws

©2008 SVT Electronics
All Rights Reserved
Version 1.0 - Rev 2


Welcome to TachoSafe 1.0 Lite

TachoSafe 1.0 Lite is the right tool to process digital tachograph files downloaded with download devices such as DownloadTOOL and DownloadKEY.

Using TachoSafe 1.0 Lite you will be able to:

  • process files downloaded with download devices
  • keep records of downloads
  • view driver activities
  • view and print offences reports
  • view and print working time reports


Credits

This software contains code from the following sources:

wxWidgets - wxWindows Library Licence

SQLite - SQLite licence

OpenSSL Project to use in OpenSSL Toolkit(http://www.openssl.org/)


Update TachoSafe 1.0 Lite

Sometimes when corrections or modifications are made to TachoSafe 1.0 Lite you will be asked to update your copy of application by internet update.
To benefit the advantages of internet update you will need a permanent internet connection.

If a new update is available during application usage, TachoSafe 1.0 Lite prompts you "A new verion of the application is available! do you want to update your application now?"
Click Yes to immediately have access to the update.
If you decide you don't want to update your application at that momemnt simply click No and you can update the application later from the Help -> TachoSafe 1.0 update

Click Yes to start the online update tool.

Click Get Update List to get the list of available updates.

Click Download & Install to download and install selected packages.

Wait for successfull download and install of packages

Click OK to continue.

Click OK to finish the application update and for restarting TachoSafe 1.0 Lite


Register

To have access to online updates of the application you will have to register your copy of TachoSafe 1.0 Lite.

Registering the application is free of charge and helps us to notify you about modifications and updates to TachoSafe 1.0 Lite.

You can register your copy of TachoSafe 1.0 Lite by accessing Help->Register

menu.

Select Registerto start the registration process.

Fill the fields marked with *

Fill one of the fields amrked with #

Select registration method WEB

Click register

Wait for registration confirmation

After registering the application your comapny name will be shown in the applications title bar near the application name.


Contacts

 For information regarding TachoSafe DownloadKEY, TachoSafe DownloadTOOL and TachoSafe 1.0 Lite you can contact us at:

SC SVT Electronics SRL
540331 Targu Mures
Braila street nr 7
Romania

Tel./FAX: | 0040 365 809 305
Email: | tachosafe@svt.ro
WEB: | http://www.svt.ro

For troubleshooting you can access our TachoSafe forums at http://forum.svt.ro:8000/forum/


Installation instructions

Please check if your sistem meets the hardware and software requirements

Connect the DownloadTOOL or DownloadKEY to your PC's USB port

Start the Windows Explorer

Search for Removable Disk (E:, F:, G:)

Double-click setupTachoSafe10Lite_1.0.46.exe ti start the installer

Select the desired language and follow the instructions on screen.

Select the desired language the click OK
Click Next to continue.
Select the desired options then click Next
Select installation directory or leave the default one
(C:\Program Files\SVT Electronics\TachoSafe 1.0 Lite\)
and click Next
Wait until the installer finishes
Click Finish to end the install process and start the application.


Hardware and software requirements

Processor: | min 1GHz
Memory: | 512 MByte
free space on hard disk: | min 50 MByte
Operating system: | Windows XP cu Service Pack 2


Driver install for firmware update

After connecting the device to the PC's USB port the operating systems starts you the Add new hardwareA wizard.

Select No, not this time and click Next

Select Install the software automatically (Recommended) and click Next

Click Continue anyway on the Driver verification window.

Wait until the wizard finishes installing the application and click Finish to close the wizard.


The applications user interface

Graphical user interface

Menu functions


Menu functions

Files
Downloadkey | Alt+K | Download files from DownloadKEY and DownloadTOOL
Smartcard reader | Alt+C | Download cards using an external smartcard reader
Digital tachograph | Alt+T | Download digital tachograph using your PC(requires special download cable)
File import |  | Import files from other download or storage media
Close application | Alt+F4 | Close TachoSafe 1.0 Lite application
Catalogs
Drivers | Alt+D | View vehicle drivers data
Vehicles | Alt+V | View vehicles catalog
Tools
Application users | Alt+U | Add/Remove/Edit application users
General settings | Alt+S | Settings related to tachograph download
Download history | Alt+H | View download history
Reports
Driver offences | Alt+1 | View and print driver offences report
Driver work times | Alt+2 | View and print driver work times
Help
SVT Electronics |  | SVT Electronics's web page
Visit TachoSafe forum |  | Troubleshooting for download devices
FOMCO |  | Our distributor's FOMCO web page
Register |  | Register application
Enter registration code |  | Enter registration code received by email or by phone
Update TachoSafe |  | Online update for TachoSafe 1.0 Lite
Firmware update | Ctrl+Alt+P | Firmware update for DownloadKEY or DownloadTOOL


Graphical user interface

GUI functions

1 | DownloadKey | Download files from DownloadKEY and DownloadTOOL
2 | Smartcard reader | Download cards using an external smartcard reader
3 | Digital tachogarph | Download digital tachograph using your PC(requires special download cable)
4 | File import | Import files from other download or storage media
5 | Drivers | View vehicle drivers data
6 | Vehicles | View vehicles catalog
7 | Driver offences | View and print driver offences report
8 | Driver work times | View and print driver work times
9 | Application users | Add/Remove/Edit application users
10 | General settings | Settings related to tachograph download
11 | Download history | View download history
12 | Troubleshooting | Troubleshooting for download devices
13 | Online support on YM | Online support on Yahoo Messenger
14 | SVT Electronics | SVT Electronics's web page
15 | FOMCO | Our distributor's FOMCO web page
16 | Main Menu | Menu


How to ...

  • ... download drivercard
  • ... download digital tachographs
  • ... download data to PC
  • ... import files
  • ... delete driver data
  • ... delete vehicle data
  • ... delete download data
  • ... set the time on DownloadTOOL
  • ... format the memory of a download device
  • ... update firmware
  • ... update TachoSafe 1.0 Lite


How to download ...

  • ... drivercard
  • ... digital tachographs
  • ... data to PC
  • ... import files


How to download a drivercard

Follow the steps below to download drivercard using the Tachosafe DownloadTOOL

Step 1
Place the batteries inside the TachoSafe DownloadTOOL.

Step 2
Insert card with the chip up and towards DownloadTOOL

Step 3
Wait about 10 secunds until the download starts. (The CARD led is lit up and the status indicator is blinking intermitently)

Step 4
Wait until the download finsihes. (Around 1 minute)
Successful download will be signalled with two short beeps with the status indicator on GREEN
For any other message please check the section Errors and messages

Relevant sectionse:
How to download data to PC
How to import files into application


How to download a tachograph with DownloadTOOL

©2008 SVT Electronics
All Rights Reserved
Version 1.0 - Rev 2


How to download a tachograph with DownloadKEY

©2008 SVT Electronics
All Rights Reserved
Version 1.0 - Rev 2


How to download data to PC

After successfully downloading a drivercard or a digital tachograph you can import and view the downloaded data in TachoSafe 1.0 Lite application.

To download data to PC follow the steps below:

Step 1: Start TachoSafe 1.0 Lite on PC using the Desktop icon [image] or using start menu Start -> Programs -> SVT Electronics -> TachoSafe 1.0 Lite -> TachoSafe 1.0 Lite

Step 2: Enter username and password. (default username is admin the password is 1234)

Step 3: Connect the USB cable to DownloadTOOL or connect DownloadKEY to a free USB port of the PC.

Step 4: If required by operating system, wait until driver install finishes.

Step 5: TachoSafe 1.0 Lite will show you the number of files found on the device(You can also click the [image] DownloadKey) to start this process.

Step 6: Click Yes to start downloading files.

Step 7: Wait until the download processs is finished.

Step 8: The application will show you the successfully processed files.

Step 9: Hit [Enter] or click OK to finish.


How to import the files into the application

This function is activated only if you have a DownloadTOOL or DownloadKEY device connected to the computer.

Method 1

Acces File -> [image] Import file

Select the desired file and press Open

Method 2

Use the Drag&Drop function of the operating system.
Select with the mouse the desired file in Windows Explorer and while holding the left mouse button down drop the file into the window.

Method 3

Double click the file in Windows Explorer.


How to delete ...

  • ... driver data
  • ... vehicle data
  • ... download data


How to delete driver data

Access Catalogs -> [image] Drivers

Select the name of the driver which you want to delete from the application.

Press the Del button and confirm the data deletion.


How to delete vehicle data

Access Catalogs -> [image] Vechicles

Select the vechicle registration plate which you wish to delete from the application.

Press the Del button and confirm the data deletion.


How to delete a download registration

Access Tools -> [image] Download history

Select the file which you wish to delete from the application( In order to delete more than one file at once you press and hold the Ctrl button from the keyboard and click on the files you wish to delete)

Press the Del button and confirm the data deletion.


How to ...

  • ... set the time on DownloadTOOL
  • ... format the memory of a download device
  • ... update firmware
  • ... update TachoSafe 1.0 Lite


How to format the memory of a download device

Atention

This task requires PC operation knowledge !
Do not try to format the device memory if you are not the clear with the concept of formatting.
Consult a specialist in this field.
Pay attention to correctly identify the driver of the dowload device.

Our firm does not assume responsibility if you lose data from the device or from the computer because of inadequate use of the formatting procedure.

Carefully follow the following steps to format the download device.

Step 1. | Identify the Removable Disk drive which belongs to the TachoSafe DownloadTOOL or DownloadKEY
Step 2. | Save the data from device on to a CD or the computer.
Step 3. | Open to Desktop->My Computer
Step 4. | Right click the drive Removable Disk which belongs to TachoSafe.
Step 5. | Select Format...
Step 6. | Set the options according to the picture to the right.
Step 7. | Press the Start button.
Step 8. | Wait until the formatting is over.
Step 9. | Copy the saved data back on to the the download device.


How to set up time in DownloadTool

Clock setup is necessary only for the download device DownloadTOOL.

Upon connecting TachoSafe to the PC via USB cable if the time on it has a discrepancy of at least 5 minutes then the application will automatically set the correct time. After the message "The DownloadTOOL time has been set" it's necessay to deconnect and reconnect the USB cable.

The DownloadTOOL time can be set manually as well as by accessing Tools -> General Settings.

1. Select the Downloadkey Settings tab..

2. Verify if the checkbox near Update Downloadkey is checked. .

3. Press OK.


Check the Firmware update section from Download Devices.


Verify the Update Tachosafe 1.0.


The functions of the application

DownloadKey | Downloads the data from the TachoSafe DownloadKEY and TachoSafe DownloadTOOL
Smartcard reader | Downloads data with the use of a smart card reader.
Digital tachograph | Downloads the data directly from the digital tachograph(special cable is necessary)
File Import | Importing tachographic files from other storage environments.
Drivers | Visualize drivers catalog.
Vehicles | Visualize vechicles catalog.
Drivers contravetions. | Visualize and print the contraventions of drivers.
Drivers work hours | Visualize and print the work hours of drivers.
Users | Add/Modify/Delete users from the application.
General Settings | Settings refering to the tachograph download.
Downloads history | Visualize downloads history.


Files

All the functions become available only if you have a functional DownloadKEY or a DownloadTOOL connected via USB cable.
The Smartcard reader and Digital Tahograf functions require additional accessories.

The DownloadKEY | Downloads data from TachoSafe DownloadKEY or TachoSafe DownloadTOOL
Smartcard Reader | Downloads data with the use of a smartcard reader.
Digital Tachograph | Downloads the data directly from the digital tachograph(special cable is necessary)
File Import | Importing tachographic files from other storage environments.


DownloadKEY

This function is activated only if you have a DownloadTOOL or a DownloadKEY device connected to the computer.

After you have connected the device via USB cable to the computer access this function to download the tachographic files from the device.

IMPORTANT
All the processed files will have a safety copy in the Backup directory of the installation directory of TachoSafe.


Smartcard reader

This function is activated only if you have a DownloadTOOL or a DownloadKEY device connected to the computer as well as a smartcard reader connected as well to the computer.

Insert the drivers card into the reader following precisely the indications regarding its corect positioning.

After accessing this function wait until the dowload has finished.


Digital Tachograph

IMPORTANT: You need a special cable for downloading.

This function is activated only if you have a DownloadTOOL or a DownloadKEY device connected to the computer.

Introduce the drivers card following precisely the indications regarding the direction of the chip.

Access this function and wait for it to finish downloading.


Import file

This function is activated only if you have a DownloadTOOL device connected to the computer.

After accessing this funcion select the file you wish to import and then press Open.

Wait until the file is imported.


Catalog

Drivers | Visualize drivers catalog.
Vehicles | Visualize vehicles catalog .


Drivers

This function allows the visualization of driver activities.

Driver catalog window description

Drivers list.

Select visualization period.

Update visualization window.

Close window.

The year and month of the activity in YYYY-MM format.

Drivers activity days.

The date on which a download has been done.

Weekend.

Day without activity.

A day with activities. By clicking on a day with activities you can view the details of that day.


Vehicles

This function allows the visualization of the activities grouped by vehicles.

IMPORTANT: It's not possible to visualize events for vehicles.

Vehicle catalog window description

Vehicles list.

Select visualization period.

Update visualization window.

Close window.

Day and month of the activity in YYYY-MM format.

Vehicles activity days.

The date on which a download has been done.

Weekend.

Day without activities.

Day with activities.


Reports

Driver contraventions. | Visualize and print driver contraventions.
Driver work hours. | Visualize and print driver work hours.
Visualize reports | Explication of the report window's functionalities.


Driver contraventions.

Visualize and print the contraventions of drivers.

Description of Window functionalities.

Select driver | Choose the driver for which you wan't to view the list of contraventions.
Period starting from | The starting period in the activiy selection list.
Period ending with | The end period in the activity selection list.
Period | Fast selection of periods.
Tolerance | The tolerance used for the evaluation of contraventions.
Details | The detailed list of days with activities.
Graphic | Draws the activiy graph based on days.
Activities | Lists the activies.
Visualization | On screen visualization of the report.
Printing | Print report with printer.
Close | Closes the selection window.


The tolerances used in the evaluation of contraventios.

s
 | Tolerance descriction | Predefined value | Deactivation value
Daily Drive/Rest; | It's not considered a contravention if the difference is less then the preset value. | 15 minutes | 0 minutes
4 hours and 30 minutes drive | It's not considered a contravention if the difference is less then the preset value. | 10 minutes | 0 minutes
45 minutes break. | It's not considered a contravention if the difference is less then the preset value. | 3 minutes | 0 minutes
30 minutes break. | It's not considered a contravention if the difference is less then the preset value. | 2 minutes | 0 minutes
15 minutes break. | It's not considered a contravention if the difference is less then the preset value. | 1 minutes | 0 minutes
Ignore events shorter than | Ignore events shorter than the preset value. | 2 minute | 0 minute

Predefined values - Reset default values.

Deactivate tolerances - Set deactivation value for every field.

Save - Save the current values set and close window.

Cancel - Close window without saving values.


Driver work hours

Visualize and print work hours for drivers.

Description of Window functionalities.

Select Driver | Choose the driver for which you wan't to view the list of contraventions.
Period starting from | The starting period in the activiy selection list.
Period ending with | The end period in the activity selection list.
Period | Fast selection of periods.
Visualization | On screen visualization of the report.
Printing | Print report with printer.
Close | Closes the selection window.


The functionalities of the visualization window

1 | Close the visualization window.
2 | Print report.
3 | Navigate in report(First page;,Back,Forward; Last page;)
4 | Visualize page number.
5 | Resize visualization window.
6 | Visualize window.
7 | State bar.


Tools

Users | Add/Modify/Delete users from the application.
General Settings | Settings referring to the tachograph download.
Downloads history | Visualize downloads history.


Users

Add/Modify/Delete users from the application.

New - Add new user to the application.

Modify - Change password or user type.

Delete - Delete an existing user from the application.


General Settings

By accesing this function you can:

  • change the application language
  • select the serial port for communication with the tachograph
  • select the backup directory for downloaded files
  • configure download options for DownloadTOOL and DownloadKEY

Select language and serial port for communication.

Download options for DownloadTOOL and DownloadKEY

  • Tachograph download
    Presentation data | Can not be deactivated and will be downloaded every time.
    Activities | Download driver activities from tachograph.
    Events and errors | Download events and errors from the tachograph;Interrupt power source and so on;
    Detailed velocity | Detailed velocity from the tachograph.
    Technical data | Download technical data from the tachograph( for example wheels dimensions,sensors installed and so on.)
    Download card | DownloadTOOLand DownloadKEY will finish downloading with an error if a driver card is not present in the tachograph.

  • Activites to be downloaded
    From the last download; | Download all the activities from the last download till the present one.
    Download period | Download activities from the selected period.
    Number of days to download | Download the selected nubmer of days from the tachograph.
    All | Download all activities from the tachograph.
  • Update donwloadKEY - if there is a DownloadTOOL or a DownloadKEY connected then their configuration will be updated.
  • Delete files after processing - The successfully processed files will be deleted from the download device.


Download history

By accesing this function you can view the files that have been processed by this application and the data fields contained by these files.

The visualization windows's data fields descripton
Date | The download date.
Presentation data | Presentation data (Downloaded from the tachograph)
Activites | Activities (Downloaded from the tachograph)
Events and errors | Events and errors (Downloaded from the tachograph)
Detailed velocity | The vehicles detailed velocity(Downloaded from the tachograph)
Technical data | Technical data (Downloaded from the tachograph)
Card download |
Source file | The name of the file from which the data has been taken.
Backup file | The name of the safety file (Double click on it to open containing directory)
Sourcde; | Download method (File Import, Smartcard reader, Digital Tachograph and so on)


Download devices

TachoSafe DownloadTOOL
TachoSafe DownloadKEY
Download errors and messages
Firmware update


TachoSafe DownloadTOOL

Driver card reader and download device for Digital Tachographs.

General attributes

  • Downloads driver card without a digital tachograph and without firm cards or services.
  • Downloads data from a digital tachograph.
  • Download data from driver cards via digital tachograph.
  • Supports USB Mass Storage Device for ease of use.

For informations regarding purches methods please contact our distributor SC FOMCO SRL


TachoSafe DownloadKEY

Downloads driver card and can download data from digital tachographs.

General attributes.

  • Downloads data from digital tachograph.
  • Download data from driver cards with the use of a digital tachograph.
  • Supports USB Mass Storage Device for ease of use.

For informations regarding purches methods please contact our distributor SC FOMCO SRL


Firmware Update

The DownloadTOOL and DownloadKEY download devices require sometimes firmware update in order to eliminate errors that might appear in the coures of extensive use.
In the table below you will find the steps that need to be taken for a successful firmware update.

The necessary accessories for firmware update:

  • A computer on which there is TachoSafe 1.0 Lite installed and started.
  • DownloadKEY and DownloadTOOL for which you want a firmware update.
  • Download cable(only for DownloadTOOL)
  • USB cable
  • A metal paper clip.

If you wish to update firmware for DownloadKEY ignore steps 3 and 4.

Step 1 | Prepare the download cable and the paper clip.
Step 2 | Detach the paper clip so that you can insert it in the download connector in the holes marked with red in the image to the right.
Step 3 | Connect the other and of the cable to the DownloadTOOL.
Step 4 | Connect the USB cable to the DownloadTOOL
Step 5 | Connect the other end of the USB cable to the computer. Make sure that the state indicator is led .Driver installation is necessary.
Step 6 | Click on Help ->Update Firmware
Step 7 | Goto Step 8. If the application displays the image to the right than deconnect and reconnect the USB cable. Go back to Step 6.
Step 8 | Confirm firmware update by clicking yes. Yes
Step 9 | Wait for the update to finish.
Step 10 | Click OK to finish the update process.
Step 11 | Deconnect the USB cable.
Step 12 | Take the paper clip out from the download device.


Messages
Simbol Message Solution
Two short beeps
Status indicator on GREEN 		Successfull download
Continuous beep
All indicators are lit
Status indicator on RED 		Battery voltage too low Batteries need replacement
2 short beeps followed by 1 long beep
status indicator on RED 		Descărcare eşuată
  • Check if company card was loaded correctly by the DT
  • Try to download again
  • Try with other tachograph
  • Try other download cable
  • Send to nearest service
One short beep followed by one long beep
Status indicator on RED 		Communication with the storage media failed
  • Try again
  • Connect the device to PC and format the drive
One long beep
Status indicator on RED 		File creation failed
  • Try again
  • Connect the device to PC and format the drive
2 long beeps
Status indicator on RED 		Error communicating with DT
  • Try again
  • Try another download cable if it is available
2 long beeps
Status indicator on RED 		No answer from driver smartcard
  • Check if you inserted the driver card properly
Long beep, short beep, long beepBip lung, bip scurt, bip lung
Status indicator on RED 		Communication error with the smartcard
  • Try again
  • Try another driver card
4 short beeps
Status indicator on RED 		Date error on DownloadTOOL Set the time with the TachoSafe application

Legend

All operation finished successfully
Requires intervention from the user
If the problem persists then it requires service intervention


AETR

REGULAMENTUL (CE) NR. 1360/2002 din 13 iunie 2002 de adaptare pentru a şaptea oară la progresul tehnic a Regulamentului (CEE) nr. 3821/85 al Consiliului privind aparatele de înregistrare în transportul rutier

REGULAMENTUL (CE) NR. 561/2006 din 15 martie 2006 privind armonizarea anumitor dispoziţii ale legislaţiei sociale în domeniul transporturilor rutiere, de modificare a Regulamentelor (CEE) nr. 3821/85 şi (CE) nr. 2135/98 ale Consiliului şi de abrogare a Regulamentului (CEE) nr. 3820/85 al Consiliului


Messages
Simbol Message Solution
Two short beeps
Status indicator on GREEN 		Successfull download
Continuous beep
All indicators are lit
Status indicator on RED 		Battery voltage too low Batteries need replacement
2 short beeps after that 1 long beep
status indicator on RED 		Descărcare eşuată
  • Check if company card was loaded correctly by the DT
  • Try to download again
  • Try with other tachograph
  • Try other download cable
  • Send to nearest service
One short beep followed by one long beep
Status indicator on RED 		Communication with the storage media failed
  • Try again
  • Connect the device to PC and format the drive
One long beep
Status indicator on RED 		File creation failed
  • Try again
  • Connect the device to PC and format the drive
2 long beeps
Status indicator on RED 		Error communicating with DT
  • Try again
  • Try another download cable if it is available
2 long beeps
Status indicator on RED 		No answer from driver smartcard
  • Check if you inserted the driver card properly
Long beep, short beep, long beepBip lung, bip scurt, bip lung
Status indicator on RED 		Communication error with the smartcard
  • Try again
  • Try another driver card
4 short beeps
Status indicator on RED 		Date error on DownloadTOOL Set the time with the TachoSafe application

Legend

All operation finished successfully
Requires intervention from the user
If the problem persists requires service intervention